Skip to content
Start here

Consumers

List Queue Consumers
GET/accounts/{account_id}/queues/{queue_id}/consumers
Get Queue Consumer
GET/accounts/{account_id}/queues/{queue_id}/consumers/{consumer_id}
Create a Queue Consumer
POST/accounts/{account_id}/queues/{queue_id}/consumers
Update Queue Consumer
PUT/accounts/{account_id}/queues/{queue_id}/consumers/{consumer_id}
Delete Queue Consumer
DELETE/accounts/{account_id}/queues/{queue_id}/consumers/{consumer_id}
ModelsExpand Collapse
Consumer = { consumer_id, created_on, dead_letter_queue, 4 more } or { consumer_id, created_on, dead_letter_queue, 3 more }

Response body representing a consumer

One of the following:
Worker { consumer_id, created_on, dead_letter_queue, 4 more }
consumer_id: optional string

A Resource identifier.

maxLength32
created_on: optional string
formatdate-time
dead_letter_queue: optional string

Name of the dead letter queue, or empty string if not configured

queue_name: optional string
script_name: optional string

Name of a Worker

settings: optional { batch_size, max_concurrency, max_retries, 2 more }
batch_size: optional number

The maximum number of messages to include in a batch.

max_concurrency: optional number

Maximum number of concurrent consumers that may consume from this Queue. Set to null to automatically opt in to the platform’s maximum (recommended).

max_retries: optional number

The maximum number of retries

max_wait_time_ms: optional number

The number of milliseconds to wait for a batch to fill up before attempting to deliver it

retry_delay: optional number

The number of seconds to delay before making the message available for another attempt.

type: optional "worker"
HTTPPull { consumer_id, created_on, dead_letter_queue, 3 more }
consumer_id: optional string

A Resource identifier.

maxLength32
created_on: optional string
formatdate-time
dead_letter_queue: optional string

Name of the dead letter queue, or empty string if not configured

queue_name: optional string
settings: optional { batch_size, max_retries, retry_delay, visibility_timeout_ms }
batch_size: optional number

The maximum number of messages to include in a batch.

max_retries: optional number

The maximum number of retries

retry_delay: optional number

The number of seconds to delay before making the message available for another attempt.

visibility_timeout_ms: optional number

The number of milliseconds that a message is exclusively leased. After the timeout, the message becomes available for another attempt.

type: optional "http_pull"
ConsumerDeleteResponse { errors, messages, success }
errors: optional array of ResponseInfo { code, message, documentation_url, source }
minLength1
code: number
minimum1000
message: string
documentation_url: optional string
source: optional { pointer }
pointer: optional string
messages: optional array of string
success: optional true

Indicates if the API call was successful or not.